{
  "type": "minecraft:crafting_shaped",

  "pattern":
  [
    " b ",
    "ppp"
  ],

  "key":{
    "b":{
      "item": "travelersbackpack:sleeping_bag"
    },
    "p": {
      "tag": "minecraft:planks"
    }
  },

  "result":
  {
    "item": "minecraft:red_bed",
    "count": 1
  }
}